import l from "./index-extends.js";
import h from "./index-defineProperty.js";
import n, { forwardRef as m, PureComponent as p } from "react";
import c from "./index-Parser.js";
import u from "./index-getCurrentHref.js";
class a extends p {
  componentDidUpdate() {
    const {
      handleParse: e
    } = this.props;
    e();
  }
  render() {
    const {
      style: e,
      href: t = u(),
      width: d,
      showSocialContext: o,
      showMetaData: s,
      children: i,
      skin: f
    } = this.props;
    return n.createElement("div", {
      className: "fb-group",
      style: e,
      "data-href": t,
      "data-width": d,
      "data-show-social-context": o,
      "data-show-metadata": s,
      "data-skin": f
    }, i);
  }
}
h(a, "defaultProps", {
  showSocialContext: void 0,
  showMetaData: void 0,
  width: void 0,
  children: void 0,
  style: void 0,
  href: void 0,
  skin: void 0
});
m((r, e) => n.createElement(c, null, ({
  handleParse: t
}) => n.createElement(a, l({}, r, {
  handleParse: t,
  ref: e
}))));
